- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Fields

# libiscsi_chap_auth_info Struct Reference

libiscsi CHAP authentication information struct More...

`#include <libiscsi.h>`

## Data Fields
char | username [LIBISCSI_VALUE_MAXLEN]
char | password [LIBISCSI_VALUE_MAXLEN]
char | reverse_username [LIBISCSI_VALUE_MAXLEN]
char | reverse_password [LIBISCSI_VALUE_MAXLEN]

## Detailed Description

Struct holding all data needed for CHAP login / authentication. Note that reverse_username may be a 0 length string in which case only forward authentication will be done.

## Field Documentation

char libiscsi_chap_auth_info::password[LIBISCSI_VALUE_MAXLEN]

Password

char libiscsi_chap_auth_info::reverse_password[LIBISCSI_VALUE_MAXLEN]

Reverse Password

char libiscsi_chap_auth_info::reverse_username[LIBISCSI_VALUE_MAXLEN]

Reverse Username

char libiscsi_chap_auth_info::username[LIBISCSI_VALUE_MAXLEN]

Username

The documentation for this struct was generated from the following file:

- libiscsi.h